import request from '@/utils/request'

// 查询企业贸易绩效数据（每个月填报）列表
export function listENTERPRISETRADEPERFORMANCE(query) {
  return request({
    url: '/ENTERPRISETRADEPERFORMANCE/list',
    method: 'get',
    params: query
  })
}

// 查询企业贸易绩效数据（每个月填报）所有列表
export function listAllENTERPRISETRADEPERFORMANCE(query) {
  return request({
    url: '/ENTERPRISETRADEPERFORMANCE/listAll',
    method: 'get',
    params: query
  })
}

// 查询企业贸易绩效数据（每个月填报）详细
export function getENTERPRISETRADEPERFORMANCE(id) {
  return request({
    url: '/ENTERPRISETRADEPERFORMANCE/getInfo/' + id,
    method: 'get'
  })
}

// 新增企业贸易绩效数据（每个月填报）
export function addENTERPRISETRADEPERFORMANCE(data) {
  return request({
    url: '/ENTERPRISETRADEPERFORMANCE/add',
    method: 'post',
    data: data
  })
}

// 修改企业贸易绩效数据（每个月填报）
export function updateENTERPRISETRADEPERFORMANCE(data) {
  return request({
    url: '/ENTERPRISETRADEPERFORMANCE/edit',
    method: 'post',
    data: data
  })
}

// 获取部门列表
export function getDeptList(data) {
  return request({
    url: '/system/dept/list',
    method: 'get',
  })
}

// 删除企业贸易绩效数据（每个月填报）
export function delENTERPRISETRADEPERFORMANCE(id) {
  return request({
    url: '/ENTERPRISETRADEPERFORMANCE/remove/' + id,
    method: 'get'
  })
}
